$(function(){
	$('#gastosenefectivo').change(function(){
		var cobrado = $('#cobradoefectivo').val();
		var gastos = $(this).val();
		var contrato = $(this).attr('data-contrato');
		var url = $(this).attr('data-url');
		if (isNaN(gastos)) gastos = 0;
		var entregar = cobrado - gastos;
		$('#entregaOficina').val(entregar);
		$.ajax({
			url: url+"/servicio/savegastos",
			type: "POST",
			dataType: "json",
			cache: "false",
			data: {
				contrato: contrato,
				gastos: gastos
			},
			success: function(msg){
		        alert('wow' + msg);
		    }
			
		})
	})
	
	$("#gastosenefectivo").focus(function(){
		$(this).select();
	});
	
	$('#gastosenefectivo').change();
	
});